# Created by pyp2rpm-3.3.2
%global pypi_name dukpy

Name:           python-%{pypi_name}
Version:        0.2.3
Release:        %mkrel 1
Summary:        Simple JavaScript interpreter for Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/amol-/dukpy
Source0:        %{pypi_source}
Patch0:         linking.patch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
DukPy is a simple javascript interpreter for Python built on top of duktape
engine without any external dependency.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(coveralls)
Requires:       python3dist(mock)
Requires:       python3dist(nose)
Requires:       python3dist(setuptools)
Requires:       python3dist(webassets)

%description -n python3-%{pypi_name}
DukPy is a simple javascript interpreter for Python built on top of duktape
engine without any external dependency.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/dukpy
%{_bindir}/dukpy-install
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Fri Jun 12 2020 kekepower <kekepower> 0.2.3-1.mga8
+ Revision: 1592969
- Update to version 0.2.3

* Sun Feb 16 2020 umeabot <umeabot> 0.2.2-5.mga8
+ Revision: 1532775
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 wally <wally> 0.2.2-4.mga8
+ Revision: 1443122
- add patch to fix linking
+ tv <tv>
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 0.2.2-3.mga8
+ Revision: 1435619
- drop python2 support

* Mon Jan 07 2019 kekepower <kekepower> 0.2.2-2.mga7
+ Revision: 1351247
- Rebuild for Python 3.7

* Thu Nov 01 2018 kekepower <kekepower> 0.2.2-1.mga7
+ Revision: 1327154
- imported package python-dukpy

